Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection.stdclasses
Class CachedClosureClass

    java.lang.Object
      org.codehaus.groovy.reflection.CachedClass
          org.codehaus.groovy.reflection.stdclasses.CachedClosureClass

    public class CachedClosureClass

extends CachedClass

Nested Class Summary

Nested classes/interfaces inherited from class org.codehaus.groovy.reflection.CachedClass
`CachedClass.CachedMethodComparatorByName, CachedClass.CachedMethodComparatorWithString`

Field Summary

Fields inherited from class org.codehaus.groovy.reflection.CachedClass
`EMPTY_ARRAY, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods`

Constructor Summary
`CachedClosureClass(Class klazz)`

Method Summary
`int` | `getMaximumNumberOfParameters()`
`Class[]` | `getParameterTypes()`

Methods inherited from class org.codehaus.groovy.reflection.CachedClass
`box, coerceArgument, doCast, getCachedSuperClass, getConstructors, getFields, getInterfaces, getMetaClassForClass, getMethods, getModifiers, getName, getNewMetaMethods, getOwnInterfaces, getReflector, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isAssignableFrom, isInterface, isPrimitive, isVoid, searchMethods, setMetaClassForClass, setNewMopMethods, setStaticMetaClassField, toString, unbox`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CachedClosureClass

    public CachedClosureClass(Class klazz)

Method Detail

### getParameterTypes

    public Class[] getParameterTypes()

### getMaximumNumberOfParameters

    public int getMaximumNumberOfParameters()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD